package org.lixm.core.model;

import org.lixm.core.common.XMLType;
import org.lixm.core.common.InputSource;



/**
 * <p>文書の終わりをモデル化します。</p>
 * @author tasogare
 * @version 1.1.1
 */
public class EndDocumentModel extends AbstractModel {

    private InputSource is;

    public EndDocumentModel(
        InputSource is)
    {
        super(XMLType.END_DOCUMENT);
        this.is = is;
    }

    /**
     * {@inheritDoc}
     */
    public String toString() {
        return "end Document";
    }

    /**
     * <p>この文書のストリームを返します。</p>
     * @return ストリーム
     */
    public InputSource getInputSource() {
        return is;
    }

    /**
     * <p>モデルの同一性を論理的に調べその結果を返します。</p>
     * @return 同一のモデルなら<code>true</code>、違うなら<code>false</code>。
     */
    public boolean equals(
        Object o)
    {
        if (!super.equals(o)) return false;
        return ( this.is.equals(o));
    }
}
